
Name:       perl-Test-Output
Version:    1.03
Release:    1%{?dist}.anvil
License:    CHECK(GPL+ or Artistic)
Group:      Development/Libraries
Summary:    Utilities to test STDOUT and STDERR messages.
Source:     http://search.cpan.org/CPAN/authors/id/B/BD/BDFOY/Test-Output-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Test-Output
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch
Requires: perl(Capture::Tiny) >= 0.17
Requires: perl(ExtUtils::MakeMaker)
Requires: perl(File::Temp) >= 0.17
Requires: perl(Sub::Exporter)
Requires: perl(Test::More)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp) >= 0.17
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)


%description
Test::Output provides a simple interface for testing output sent to STDOUT
or STDERR. A number of different utilities are included to try and be as
flexible as possible to the tester.

Originally this module was designed not to have external requirements,
however, the features provided by the Sub::Exporter manpage over what the
Exporter manpage provides is just to great to pass up.

Likewise, Capture::Tiny provides a much more robust capture mechanism
without than the original Test::Output::Tie.

Rebuilt for the Anvil! HA platform.

%prep
%setup -q -n Test-Output-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLVENDORLIB=%{perl_vendorlib} INSTALLVENDORMAN3DIR=%{_mandir}/man3
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Dec 28 2014 %{packager} 1.03-1
- initial Fedora packaging
- generated with cpan2dist (CPANPLUS::Dist::Fedora version 0.0.6)
